Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenExpressionProviderBase

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenExpressionInterpreter, GenJavaExpressionProvider, GenLiteralExpressionProvider

All Known Implementing Classes:
  GenExpressionInterpreterImpl, GenExpressionProviderBaseImpl, GenJavaExpressionProviderImpl, GenLiteralExpressionProviderImpl

    public interface GenExpressionProviderBase

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Expression Provider Base'.

The following features are supported:

- `Expressions`
- `Container`

See Also:
  `GMFGenPackage.getGenExpressionProviderBase()`
** Generated **
Model:
  abstract="true"

Method Summary
`GenExpressionProviderContainer` `getContainer()` Returns the value of the 'Container' container reference.
`org.eclipse.emf.common.util.EList<ValueExpression>` `getExpressions()` Returns the value of the 'Expressions' containment reference list.
`GenLanguage` `getLanguage()` If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLanguage

    GenLanguage getLanguage()

  If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

  ** Generated **
  Model:
    kind="operation" required="true"

### getExpressions

    org.eclipse.emf.common.util.EList<ValueExpression> getExpressions()

  Returns the value of the 'Expressions' containment reference list. The list contents are of type `ValueExpression`. It is bidirectional and its opposite is '`Provider`'.

  If the meaning of the 'Expressions' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expressions' containment reference list.
  See Also:
    `GMFGenPackage.getGenExpressionProviderBase_Expressions()`, `ValueExpression.getProvider()`
  ** Generated **
  Model:
    opposite="provider" containment="true" required="true"

### getContainer

    GenExpressionProviderContainer getContainer()

  Returns the value of the 'Container' container reference. It is bidirectional and its opposite is '`Providers`'.

  If the meaning of the 'Container' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Container' container reference.
  See Also:
    `GMFGenPackage.getGenExpressionProviderBase_Container()`, `GenExpressionProviderContainer.getProviders()`
  ** Generated **
  Model:
    opposite="providers" resolveProxies="false" required="true" transient="false" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.